Skip to main content
POST
Change workflow mailing list
Use this endpoint to change a workflow’s mailing list. Make a dry run request using dryRun: true. If queued contacts would be removed from the workflow due to the change of mailing list, Loops returns with "status": "queuedContactsFound" instead of applying the change. Retry with queuedContactPolicy: "discard" to apply the change and discard those contacts.

Authorizations

Authorization
string
header
required

Bearer authentication header of the form Bearer <token>, where <token> is your auth token.

Path Parameters

workflowId
string
required

The ID of the workflow.

Body

application/json
expectedRevisionId
string
required

The workflow revision token returned by the latest workflow read or mutation. Mutations reject stale values.

mailingListId
string | null
required

The mailing list to use for the workflow. When assigning a mailing list, queued contacts excluded by the new list can return queuedContactsFound; retry with queuedContactPolicy: "discard" to apply the change and discard those contacts. Use null to clear the workflow mailing list; clearing does not discard queued contacts.

dryRun
boolean

If true, the request will be validated but the workflow will not be modified.

queuedContactPolicy
enum<string>
default:fail

fail returns queued-contact impact instead of mutating. discard confirms that matching queued contacts should be discarded. Defaults to fail when omitted.

Available options:
fail,
discard

Response

Mailing-list dry run, queued-contact warning, or update result.

status
enum<string>
required
Available options:
dryRun,
queuedContactsFound
mailingListId
string | null
required
queuedContactCount
number
required

The number of queued contacts that would be removed from the workflow due to the mailing list changing.

queuedContactLimitReached
boolean
required

Whether the queued contact limit would be reached if the mailing list was changed.

Last modified on July 21, 2026